dag_seg_s Struct Reference

Segmentation "iterator" for backpointer table results. More...

`#include <ps_lattice_internal.h>`

## Data Fields

ps_seg_t | base
| Base structure.
ps_latlink_t ** | links
| Array of lattice links.
int32 | norm
| Normalizer for posterior probabilities.
int16 | n_links
| Number of lattice links.
int16 | cur
| Current position in bpidx.

## Detailed Description

Segmentation "iterator" for backpointer table results.

Definition at line 139 of file ps_lattice_internal.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ps_lattice_internal.h